Libnvbufsurftransform.so unsupported version 31073 of Verneed record

I just flash my sdcard and try run the sample deepstream-app but i got this error:

$ deepstream-app -c /opt/nvidia/deepstream/deepstream-5.0/samples/configs/deepstream-app/source8_1080p_dec_infer-resnet_tracker_tiled_display_fp16_nano.txt

(gst-plugin-scanner:11767): GStreamer-WARNING **: 17:22:16.802: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_multistreamtiler.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 31073 of Verneed record

(gst-plugin-scanner:11767): GStreamer-WARNING **: 17:22:16.805: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libgstnvvideoconvert.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 31073 of Verneed record

(gst-plugin-scanner:11767): GStreamer-WARNING **: 17:22:16.809: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_dsexample.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 31073 of Verneed record

(gst-plugin-scanner:11767): GStreamer-WARNING **: 17:22:16.811: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_multistream.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 31073 of Verneed record

(gst-plugin-scanner:11767): GStreamer-WARNING **: 17:22:16.817: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_osd.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 31073 of Verneed record

(gst-plugin-scanner:11767): GStreamer-WARNING **: 17:22:16.823: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_inferserver.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 31073 of Verneed record

(gst-plugin-scanner:11767): GStreamer-WARNING **: 17:22:16.837: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_infer.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 31073 of Verneed record

(gst-plugin-scanner:11767): GStreamer-WARNING **: 17:22:16.839: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_dewarper.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 31073 of Verneed record

(gst-plugin-scanner:11767): GStreamer-WARNING **: 17:22:16.842: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_tracker.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 31073 of Verneed record
** ERROR: <create_multi_source_bin:1057>: Failed to create element ‘src_bin_muxer’
** ERROR: <create_multi_source_bin:1132>: create_multi_source_bin failed
** ERROR: <create_pipeline:1296>: create_pipeline failed
** ERROR: main:636: Failed to create pipeline
Quitting
App run failed

Any help pls?

Hi,
For our reference, please provide more information. Do you flash through SDKManager or generate SD card image through Etcher. It it Jetpack4.4?

And please clean the cache and see if it helps:

$ rm .cache/gstreamer-1.0/registry.aarch64.bin

@DaneLLL I clean the cache and still error, but log change a little bit:

deepstream-app -c /opt/nvidia/deepstream/deepstream-5.0/samples/configs/deepstream-app/source8_1080p_dec_infer-resnet_tracker_tiled_display_fp16_nano.txt

(gst-plugin-scanner:29102): GStreamer-WARNING **: 09:19:16.556: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_multistreamtiler.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 0 of Verneed record

(gst-plugin-scanner:29102): GStreamer-WARNING **: 09:19:16.559: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libgstnvvideoconvert.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 0 of Verneed record

(gst-plugin-scanner:29102): GStreamer-WARNING **: 09:19:16.563: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_dsexample.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 0 of Verneed record

(gst-plugin-scanner:29102): GStreamer-WARNING **: 09:19:16.566: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_multistream.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 0 of Verneed record

(gst-plugin-scanner:29102): GStreamer-WARNING **: 09:19:16.571: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_osd.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 0 of Verneed record

(gst-plugin-scanner:29102): GStreamer-WARNING **: 09:19:16.578: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_inferserver.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 0 of Verneed record

(gst-plugin-scanner:29102): GStreamer-WARNING **: 09:19:16.591: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_infer.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 0 of Verneed record

(gst-plugin-scanner:29102): GStreamer-WARNING **: 09:19:16.594: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_dewarper.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 0 of Verneed record

(gst-plugin-scanner:29102): GStreamer-WARNING **: 09:19:16.596: Failed to load plugin ‘/usr/lib/aarch64-linux-gnu/gstreamer-1.0/deepstream/libnvdsgst_tracker.so’: /usr/lib/aarch64-linux-gnu/tegra/libnvbufsurftransform.so.1.0.0: unsupported version 0 of Verneed record
** ERROR: <create_multi_source_bin:1057>: Failed to create element ‘src_bin_muxer’
** ERROR: <create_multi_source_bin:1132>: create_multi_source_bin failed
** ERROR: <create_pipeline:1296>: create_pipeline failed
** ERROR: main:636: Failed to create pipeline
Quitting
App run failed

I flash through SDK Manager ver 1.3.1.7110, Jetpack 4.4

I flash again through SDK Manager 2 times and still got this error. Then I flash through Etcher and it seem ok now. Thanks.

1 Like

Hi,
For information, do you use Jetson Nano or Xavier NX?

I use Jetson Xavier NX

Hi,
We try to do clean re-flash through SDKManager and can run deepstream-app successfully. A bit strange you hit the issue. Since you are able to proceed with SD card image, it should be good for now?